Subject: Re: [PATCH] Test that the 'rebase -i' "reword" command always cherry-picks a commit.

From: Jonathan Nieder <[email-masked]>
Date: Mon, 22 Mar 2010 17:09:29 -0500

Marc Branchaud wrote:

> Is this more acceptable than adding --no-ff to rebase--interactive?

No, in my opinion the latter is better, and I suspect it will go in. :)

No one has objected to the --no-ff option.  I like it: if someone is
trying to reset the committer date on a collection of patches, I’d
rather they use rebase -f or rebase -i --no-ff than format-patch and am.
It’s cooking in pu for the moment, and from here the natural progression
is to next, master, then maybe maint.

Hope that helps,
Jonathan